#!/system/bin/sh
#
# This script is intended to be run to restore RIL files of the ORIGINAL firmware
# BackupRIL.zip will create the backup files, but if the user did not flash the backup
# script then the individual ModemRIL scripts will back up current RIL files where no backup exists.
# If a problem occurs, the best restore solution is to flash ModemRIL of the original modem,
# but if one has not yet been made, then this file can be flashed to install the 
# original RIL, but the ORIGINAL MODEM WILL STILL NEED TO BE FLASHED
#
BKP_BASE=/sdcard/MyBackups
BKP_RIL_DIR=${BKP_BASE}/BackupRIL
FILE_LIST=${BKP_RIL_DIR}/FileList.txt

if [ -e ${FILE_LIST} ]; then
  for f in `cat ${FILE_LIST}`; do
    b=`basename ${f}`
    if [ -e ${BKP_RIL_DIR}/${b} ]; then
	  cp ${BKP_RIL_DIR}/${b} ${f}
      chown 0.0 ${f}
      case ${f} in
        /system/bin/*) chmod 0755 ${f};;
        /system/lib/*) chmod 0644 ${f};;
      esac
	fi
  done;
fi
